function [shots, tubes] = ap_VOGetTubes ( class, params, list)
% Given a list of tracks, returns a number of frames+BBs extracted from the
% tracks
% Takes as input the "params" file which tells on which tracks it should
% operate and what is the sampling strategy
%


dataset = [];
shots = [];
tubes = [];

if isfield(params.videos,'maskfile'), pp = params; else pp = []; end
[dirs,info] = ap_VOGetVideos(class, pp); % Load all shots
v = [info.v]; s = [info.s]; % Get infos

gt=textread(list, '%d','headerlines', 1)';
gt=reshape(gt,3,length(gt)/3)';

for i = 1 : size(gt,1)
  ids = find(v == gt(i,1) & s == gt(i,2));
  if length(ids) ~= 1, error('Problem in finding the appropriate dir'); end
  d = dirs{ids};
  %load([d '/dataset.mat']);
  load([d '/' params.trackname]);    

  track = gt(i,3);

  % Get the frame image size for this video
  shots{end+1} = d;
  tubes{end+1} = T(track, :);

end 

end

