function [ params ] = initVideoObjectOptions ( minlen, GT )
% This is the "params" variable that goes to input in
% "ap_VOTrackDescriptor"

motion2boxes = 'percentile3';

if nargin < 1 || isempty(minlen),       minlen = 15; end
if nargin < 2 || isempty(GT),           GT = false; end % When true, uses only videos with GT

% This is the method used to map motion into boxes
switch motion2boxes
  case 'std'
    params.motion2boxes.method = 'std';
	case 'percentile'
    params.motion2boxes.method = 'percentile';
    params.motion2boxes.percentile = 0.90;        
	case 'percentile2'
    params.motion2boxes.method = 'percentile2';
    params.motion2boxes.percentile = 0.90;    
  case 'percentile3'
    params.motion2boxes.method = 'percentile3';
    params.motion2boxes.percentile = 0.80;
    params.motion2boxes.nstep = 4;
  case 'broxvoc'
    params.motion2boxes.method = 'broxvoc';
    params.motion2boxes.motion_thresh = -inf;
    params.motion2boxes.min_len = 5;
end

params.trackname = ['T' params.motion2boxes.method];

% Criteria for which videos should be used
params.videos.minlen = minlen;
params.videos.GT = GT;

end

